<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <LangVersion>9</LangVersion>
        <TargetFramework>netstandard2.1</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <DefineConstants>TRACE</DefineConstants>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <DefineConstants>TRACE</DefineConstants>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
        <PackageReference Include="Plugin.BLE" Version="2.1.3" />
        <PackageReference Include="Resizetizer.NT" Version="0.3.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Serilog" Version="3.0.1" />
        <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
        <PackageReference Include="Syncfusion.Licensing" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.Pdf" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.SfBusyIndicator" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.SfDataGrid" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.SfPicker" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.SfPopupLayout" Version="23.2.6" />
        <PackageReference Include="Syncfusion.Xamarin.SfPullToRefresh" Version="23.2.6" />
        <PackageReference Include="Xamarin.Essentials" Version="1.8.0" />
        <PackageReference Include="Xamarin.Forms" Version="5.0.0.2622" />
        <PackageReference Include="XF.Material" Version="1.8.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\InABox.Core\InABox.Core.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Syncfusion.SfBusyIndicator.XForms">
        <HintPath>..\..\..\..\.nuget\packages\syncfusion.xamarin.sfbusyindicator\22.1.39\lib\netstandard2.0\Syncfusion.SfBusyIndicator.XForms.dll</HintPath>
      </Reference>
      <Reference Include="Syncfusion.SfPicker.XForms">
        <HintPath>..\..\..\..\.nuget\packages\syncfusion.xamarin.sfpicker\22.1.39\lib\netstandard2.0\Syncfusion.SfPicker.XForms.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <None Remove="Images\checked.svg" />
      <SharedImage Include="Images\checked.svg" BaseSize="20,20" />
      <None Remove="Images\unchecked.svg" />
      <SharedImage Include="Images\unchecked.svg" BaseSize="20,20" />
      <None Remove="Images\tick.svg" />
      <SharedImage Include="Images\sharedtick.svg" BaseSize="30, 30" />
      <None Remove="Images\cross.svg" />
      <SharedImage Include="Images\sharedcross.svg" BaseSize="30, 30" />
    </ItemGroup>

    <ItemGroup>
      <Compile Update="Components\MobileCollectionView\MobileCollectionView.xaml.cs">
        <DependentUpon>MobileCollection.xaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
    </ItemGroup>
</Project>